Bug 444945 - Review Request: python-augeas - python bindings for augeas
Review Request: python-augeas - python bindings for augeas
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lutterkort
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-02 04:56 EDT by Harald Hoyer
Modified: 2013-04-30 19:40 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-26 03:41:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lutter: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2008-05-02 04:56:02 EDT
Spec URL: http://harald.fedorapeople.org/downloads/python-augeas/python-augeas.spec
SRPM URL: http://harald.fedorapeople.org/downloads/python-augeas/python-augeas-1.0-1.fc9.src.rpm
Description: python-augeas is a set of Python bindings around augeas.

augeas package review is here: https://bugzilla.redhat.com/show_bug.cgi?id=444792
Comment 3 David Lutterkort 2008-05-05 15:03:14 EDT
MUST items:

      - MUST: rpmlint must be run on every package. The output should be posted
in the review.
        %{python_sitearch}/_augeas.so needs to have permissions 0755, not 0775

      - MUST: The package must be named according to the Package Naming Guidelines.
        OK

      - MUST: The spec file name must match the base package %{name}, in the
format %{name}.spec
        OK

      - MUST: The package must meet the Packaging Guidelines.
        OK

      - MUST: The package must be licensed with a Fedora approved license and
meet the Licensing Guidelines.
        OK

      - MUST: The License field in the package spec file must match the actual
license.
        OK

      - MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.
        OK

      - MUST: The spec file must be written in American English.
        OK

      - MUST: The spec file for the package MUST be legible. If the reviewer is
unable to read the spec file, it will be impossible to perform a review. Fedora
is not the place for entries into the Obfuscated Code Contest
(http://www.ioccc.org/).
       OK

      - MUST: The sources used to build the package must match the upstream
source, as provided in the spec URL. Reviewers should use md5sum for this task.
If no upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.
       OK

      - MUST: The package must successfully compile and build into binary rpms
on at least one supported architecture.
        OK (checked for i386 and x86_64)

      - MUST: All build dependencies must be listed in BuildRequires, except for
any that are listed in the exceptions section of Packaging Guidelines; inclusion
of those as BuildRequires is optional. Apply common sense.
        OK

      - MUST: The spec file MUST handle locales properly. This is done by using
the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
        N/A (no translations)

      - MUST: Every binary RPM package which stores shared library files (not
just symlinks) in any of the dynamic linker's default paths, must call ldconfig
in %post and %postun.
        N/A

      - MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory. Refer to the Guidelines for examples.
       NOT OK (require python(abi) for ownership of python_sitearch)

      - MUST: A package must not contain any duplicate files in the %files listing.
        OK

      - MUST: Permissions on files must be set properly. Executables should be
set with executable permissions, for example. Every %files section must include
a %defattr(...) line.
        OK

      - MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
        OK

      - MUST: Each package must consistently use macros, as described in the
macros section of Packaging Guidelines.
        OK

      - MUST: The package must contain code, or permissable content. This is
described in detail in the code vs. content section of Packaging Guidelines.
        OK

      - MUST: Large documentation files should go in a -doc subpackage.
        N/A

      - MUST: If a package includes something as %doc, it must not affect the
runtime of the application.
        OK

      - MUST: Header files must be in a -devel package.
        N/A

      - MUST: Static libraries must be in a -static package.
        N/A

      - MUST: Packages containing pkgconfig(.pc) files must 'Requires:
pkgconfig' (for directory ownership and usability).
        N/A

      - MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in a
-devel package.
        N/A

      - MUST: In the vast majority of cases, devel packages must require the
base package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release}
        N/A

      - MUST: Packages must NOT contain any .la libtool archives, these should
be removed in the spec.
        OK

      - MUST: Packages containing GUI applications must include a
%{name}.desktop file, and that file must be properly installed with
desktop-file-install in the %install section.
        N/A

      - MUST: Packages must not own files or directories already owned by other
packages.
        OK

      - MUST: At the beginning of %install, each package MUST run rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
        OK

      - MUST: All filenames in rpm packages must be valid UTF-8.
        OK

SHOULD Items:

      - SHOULD: The description and summary sections in the package spec file
should contain translations for supported Non-English languages, if available.
        No translations included

      - SHOULD: The reviewer should test that the package builds in mock. See
MockTricks for details on how to do this.
        OK

      - SHOULD: The package should compile and build into binary rpms on all
supported architectures.
        OK for i386/x86_64, not checked for others

      - SHOULD: The reviewer should test that the package functions as
described. A package should not segfault instead of running, for example.
        OK

      - SHOULD: If the package has file dependencies outside of /etc, /bin,
/sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the
file instead of the file itself.
        N/A
Comment 4 David Lutterkort 2008-05-05 15:04:06 EDT
Summary/Todo:
=============

  * %{python_sitearch}/_augeas.so needs to have permissions 0755, not 0775
  * require python(abi) for ownership of python_sitearch
Comment 6 David Lutterkort 2008-05-05 15:23:22 EDT
This looks ok now (and the explicit requires for python(abi) should be taken out
again; looks like rpmbuild adds that all by itself)

APPROVED
Comment 8 Harald Hoyer 2008-05-06 06:57:22 EDT
New Package CVS Request
=======================
Package Name: python-augeas
Short Description: python bindings for augeas
Owners: harald@redhat.com
Branches: F-9 devel
InitialCC: 
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2008-05-06 12:25:11 EDT
Please use your fedora account name in Owners. ;) 

cvs done.
Comment 10 Brian Pepple 2008-05-25 10:56:05 EDT
Harold, has this package been built yet?  If so, this bug can be closed.
Comment 11 Harald Hoyer 2008-07-03 07:54:25 EDT
Package Change Request
======================
Package Name: python-augeas
New Branches: F-8
Comment 12 Kevin Fenzi 2008-07-04 15:47:30 EDT
cvs done.
Comment 13 Greg Swift 2012-01-20 22:51:59 EST
Package Change Request
======================
Package Name: python-augeas
New Branches: el5 el6
Owners: xaeth harald nphilipp
Comment 14 Jon Ciesla 2012-01-26 22:58:41 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.